All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.session
Class SessionPermission

    com.sas.services.session.SessionPermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public final class SessionPermission

This class is for various Session Service permissions. A SessionPermission contains a name ("target name") but no actions list. The target name is the name of the session service permission. The following table lists all the possible SessionPermission target names and a brief description of each.

Permission Target Name | What the Permission Allows
--- | ---
quiesce | Quiescing of the Session Service. This disables session context creation.
resume | Resuming of the Session Service. This enables session context creation.
destroySessions | Destruction of a specified session context or the destruction of all active session contexts. The session context will be destroyed even if is locked.
getSummaryData | Retrieval of summary data for all active users.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`SessionPermission(java.lang.String name)` Creates a new SessionPermission with the specified name.
`SessionPermission(java.lang.String name, java.lang.String actions)` Creates a new SessionPermission object with the specified name.

Constructor Detail

### SessionPermission

    public SessionPermission(java.lang.String name)

  Creates a new SessionPermission with the specified name. The name is the symbolic name of the SessionPermission, such as "quiesce", "resume", etc.

  Parameters:
    `name` - the name of the SessionPermission.

### SessionPermission

    public SessionPermission(java.lang.String name,
                             java.lang.String actions)

  Creates a new SessionPermission object with the specified name. The name is the symbolic name of the SessionPermission, and the actions String is currently unused and should be null.

  Parameters:
    `name` - the name of the SessionPermission.
    `actions` - should be null.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.